<?php  
session_start(); 

if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	 $eve = "select * from res_logistics_master,res_contact_master where res_contact_master.clinkid = res_logistics_master.logisticmid and res_contact_master.clinktype = 'Logistics'";
	$re = mysqli_query($conn, $eve);
	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
				$logisticmid=$rt['logisticmid'];
				$logisticname=$rt['logisticname'];
				
				$logisticmastercode=$rt['logisticmastercode'];
				$pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='campusedit.php?id=".$rt['logisticmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$piddelete="<a href='campusdelete.php?id=".$rt['logisticmid']."' onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='fa fa-trash-o fa-lg'> </a>";	
					}				
$op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				
				$cmaddress1=str_replace ("'","'",$rt['caddress1']);
				$cmaddress1=str_replace ('"','\"',$cmaddress1);
				
				$cmaddress2=str_replace ("'","'",$rt['caddress2']);
				$cmaddress2=str_replace ('"','\"',$cmaddress2);
				
				$cmaddress = $cmaddress1." ".$cmaddress2;
				
				$cmiddlename=str_replace ("'","'",$rt['cmiddlename']);
				$cmiddlename=str_replace ('"','\"',$cmiddlename);
				
				$contactname=str_replace ("'","'",$rt['contactname']);
				$contactname=str_replace ('"','\"',$contactname);
				$csurname=str_replace ("'","'",$rt['csurname']);
				$csurname=str_replace ('"','\"',$csurname);
				
				$cmcontactperson = $contactname." ".$cmiddlename." ".$csurname;
				
				
				$cmphone=str_replace ("'","'",$rt['contactnumber']);
				$cmphone=str_replace ('"','\"',$cmphone);
				
		
				
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op, 'logisticmastercode'=> $logisticmastercode, 'cmcontactperson'=> $cmcontactperson, 'cmphone'=> $cmphone, 'logisticname'=> $logisticname);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }
   
	mysqli_close($conn);
	
	
?>